## Risorse pubbliche per bigliettazione GTT

### TLDR
La carta BIP e le tessere affini (smartcard universitaria, pyou, etc) usano lo standard Calypso (purtorppo le specifiche e l'applet non sembrano essere pubblici al momento).
I carnet multi corsa utilizzano un sistema "PKI" per l'emissioni e la convalida dei biglietti.

Le BIP e le varie tessere Calypso vengono firmate dal HSM ([http://www.spirtech.com/products/hsm-calypso](http://www.spirtech.com/products/hsm-calypso)).

![](http://www.spirtech.com/images/stories/spirtech/produits/ps_hsm_solutions-GB.png)

I carnet vengono firmati dai moduli SAM-CL e validati dai moduli SAM-CV ([http://www.spirtech.com/products/calypso-sam](http://www.spirtech.com/products/calypso-sam). E' probabile che il checksum siano gli ultimi due byte dell'output di un HMAC prodotto da un modulo SAM-CV. Si suppone che i moduli SAM-CV siano tutti uguali e contengano tutti la stessa chiave.

![](http://www.spirtech.com/images/stories/spirtech/produits/ps_sam_solutions2_us.jpg)

### Generiche 
[http://www.aep-italia.it/wp-content/uploads/2015/04/bordoo.pdf](http://www.aep-italia.it/wp-content/uploads/2015/04/bordoo.pdf)
[http://www.aep-italia.it/wp-content/uploads/2015/04/DISPENSA-SULLA-BIGLIETTAZIONE-ELETTRONICA.pdf](http://www.aep-italia.it/wp-content/uploads/2015/04/DISPENSA-SULLA-BIGLIETTAZIONE-ELETTRONICA.pdf)
[http://www.aep-italia.it/wp-content/uploads/2015/04/CARTE-ELETTRONICHE.pdf](http://www.aep-italia.it/wp-content/uploads/2015/04/CARTE-ELETTRONICHE.pdf)

### Specifiche BIP/GTT/5T
[http://www.aep-italia.it/wp-content/uploads/2015/04/OLTRE-IL-BIP.pdf](http://www.aep-italia.it/wp-content/uploads/2015/04/OLTRE-IL-BIP.pdf)
[http://www.5t.torino.it/wp-content/uploads/2017/10/BOCCARDO_5T_Forum_Ticketing_SMW2017.pdf](http://www.5t.torino.it/wp-content/uploads/2017/10/BOCCARDO_5T_Forum_Ticketing_SMW2017.pdf)


### Fornitori
[http://www.5t.torino.it](http://www.5t.torino.it)
[http://www.aep-italia.it/](http://www.aep-italia.it/)
[http://www.calypsostandard.net/](http://www.calypsostandard.net/)
[http://www.spirtech.com/](http://www.spirtech.com/)

